ACurrencyEntry(3)

NAME
ACurrencyEntry

SYNOPSIS

Inherits AEntry.

  Public Types
enum class CurrencyName { Licence = 1, TypeRating = 2, LineCheck = 3, Medical = 4, Custom1 = 5, Custom2 = 6 }

  Public Member Functions
ACurrencyEntry (CurrencyName name)
ACurrencyEntry::ACurrencyEntry Creates an ACurrenyEntry object.
ACurrencyEntry (CurrencyName name, QDate expiration_date)
ACurrencyEntry (const ACurrencyEntry &te)=default
ACurrencyEntry & operator= (const ACurrencyEntry &te)=default
bool isValid () const
ACurrencyEntry::isValid returns true if the object holds a valid expiration date.

  Additional Inherited Members

Constructor & Destructor Documentation

  ACurrencyEntry::ACurrencyEntry (ACurrencyEntry::CurrencyName currency_name)

ACurrencyEntry::ACurrencyEntry Creates an ACurrenyEntry object. The Data Position is initalized by using the strongly typed enum CurrencyName, which maps to the static row id for the currency.

Member Function Documentation

  bool ACurrencyEntry::isValid () const

ACurrencyEntry::isValid returns true if the object holds a valid expiration date. Unless a user has previously entered an expiration date, this will return false.

Returns

Author

Generated automatically by Doxygen for openPilotLog from the source code.